package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.BaseBuild;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.BaseBuildExportVO;
import com.usky.fire.service.vo.BaseBuildVo;

import java.util.List;
/**
 * <p>
 * 建筑信息 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-11-22
 */
public interface BaseBuildService extends CrudService<BaseBuild> {
    /**
     * 建筑信息-列表查询
     *
     * @param buildNum 项目编号
     * @param buildName 单位编号
     * @param pageNum     当前页
     * @param pageSize    每页条数
     * @return
     */
    CommonPage<Object> baseBuildList(String buildNum, String buildName, Integer pageNum, Integer pageSize);

    /**
     * 建筑信息-列表查询-导出
     *
     * @param buildNum 项目编号
     * @param buildName 单位编号
     */
    List<BaseBuildExportVO> baseBuildListExport(String buildNum, String buildName);

    /**
     * 建筑信息-修改
     *
     * @param baseBuild
     */
    void updateBaseBuild(BaseBuild baseBuild);

    /**
     * 建筑信息-删除
     *
     * @param id 主键ID
     */
    void delBaseBuild(Integer id);

    /**
     * 建筑信息-列表查询-导出
     *
     * @param companyId 项目编号
     * @param buildName 单位编号
     */
    List<BaseBuild> baseBuildByIdList(String companyId, String buildName);

}
