package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.fire.domain.BaseDevice;
import com.usky.fire.domain.BaseDeviceStatus;
import com.usky.fire.mapper.BaseDeviceStatusMapper;
import com.usky.fire.service.BaseDeviceStatusService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 设备状态表 服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-09-16
 */
@Service
public class BaseDeviceStatusServiceImpl extends AbstractCrudService<BaseDeviceStatusMapper, BaseDeviceStatus> implements BaseDeviceStatusService {

    @Override
    public List<BaseDeviceStatus> deviceStatusData(String deviceCode) {
        LambdaQueryWrapper<BaseDeviceStatus> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(BaseDeviceStatus::getDeviceCode, deviceCode);
        List<BaseDeviceStatus> list = this.list(queryWrapper);
        return list;
    }

    @Override
    public int deviceStatusCount(String companyId, Integer deviceStatus) {
        LambdaQueryWrapper<BaseDeviceStatus> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(StringUtils.isNotBlank(companyId), BaseDeviceStatus::getCompanyId, companyId)
                .eq(deviceStatus != null, BaseDeviceStatus::getDeviceStatus, deviceStatus);
        int count = this.count(queryWrapper);
        return count;
    }

}
