package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备信息表
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("dmp_device")
public class DmpDeviceInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID;设备注册时系统自动生成一个唯一编号
     */
    private String deviceId;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 产品ID
     */
    private Integer productId;

    /**
     * 物联网卡号
     */
    private String simCode;

    /**
     * 国际移动用户识别码
     */
    private String imsiCode;

    /**
     * 节点类型
     */
    private Integer nodeType;

    /**
     * 分组id
     */
    private Integer groupId;

    /**
     * 删除标识
     */
    private Integer deleteFlag;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 租户号
     */
    private Integer tenantId;

    /**
     * 产品名称
     */
    @TableField(exist = false)
    private String productName;
    /**
     * 设备状态
     */
    @TableField(exist = false)
    private Integer deviceStatus;

    /**
     * 是否自动订阅
     */
    private Integer subscribeFlag;
}
