package com.usky.iot.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.iot.domain.DmpProductAttribute;
import com.usky.iot.domain.DmpProductAttributeAttach;
import com.usky.iot.mapper.DmpProductAttributeAttachMapper;
import com.usky.iot.service.DmpProductAttributeAttachService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 产品属性附表 服务实现类
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
@Service
public class DmpProductAttributeAttachServiceImpl extends AbstractCrudService<DmpProductAttributeAttachMapper, DmpProductAttributeAttach> implements DmpProductAttributeAttachService {

    @Override
    public void addBatch(DmpProductAttribute dmpProductAttribute) {
        List<DmpProductAttributeAttach> dmpProductAttributeAttachList = dmpProductAttribute.getDmpProductAttributeAttachList();
        if (CollectionUtil.isNotEmpty(dmpProductAttributeAttachList)){
            dmpProductAttributeAttachList.forEach(s -> s.setAttributeId(dmpProductAttribute.getId()));
            this.saveBatch(dmpProductAttributeAttachList);
        }
    }

    @Override
    public void deleteBatch(DmpProductAttribute dmpProductAttribute) {
        LambdaQueryWrapper<DmpProductAttributeAttach> lambdaQuery = Wrappers.lambdaQuery();
        lambdaQuery.eq(DmpProductAttributeAttach::getAttributeId,dmpProductAttribute.getId());
        this.remove(lambdaQuery);
    }

    @Override
    public List<DmpProductAttributeAttach> listByAttributeIds(List<Integer> attributeIds) {
        LambdaQueryWrapper<DmpProductAttributeAttach> lambdaQuery = Wrappers.lambdaQuery();
        lambdaQuery.in(CollectionUtil.isNotEmpty(attributeIds),DmpProductAttributeAttach::getAttributeId,attributeIds);
        return this.list(lambdaQuery);
    }
}
